org.apache.tools.ant.taskdefs.condition

## Class Http

- java.lang.Object
- - org.apache.tools.ant.ProjectComponent
  - - org.apache.tools.ant.taskdefs.condition.Http

All Implemented Interfaces:
  java.lang.Cloneable, Condition

    public class Http
    extends ProjectComponent
    implements Condition

Condition to wait for a HTTP request to succeed. Its attribute(s) are: url - the URL of the request. errorsBeginAt - number at which errors begin at; default=400. requestMethod - HTTP request method to use; GET, HEAD, etc. default=GET

Since:
  Ant 1.5

### Field Summary

### Fields inherited from class org.apache.tools.ant.ProjectComponent

`description, location, project`

### Constructor Summary

Constructors
Constructor and Description
`Http()`

### Method Summary

Methods
`boolean` `eval()` Is this condition true?
`void` `setErrorsBeginAt(int errorsBeginAt)` Set the errorsBeginAt attribute
`void` `setFollowRedirects(boolean f)` Whether redirects sent by the server should be followed, defaults to true.
`void` `setRequestMethod(java.lang.String method)` Sets the method to be used when issuing the HTTP request.
`void` `setUrl(java.lang.String url)` Set the url attribute

### Methods inherited from class org.apache.tools.ant.ProjectComponent

`clone, getDescription, getLocation, getProject, log, log, setDescription, setLocation, setProject`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Http

    public Http()

### Method Detail

#### setUrl

    public void setUrl(java.lang.String url)

Set the url attribute

Parameters:
  `url` - the url of the request

#### setErrorsBeginAt

    public void setErrorsBeginAt(int errorsBeginAt)

Set the errorsBeginAt attribute

Parameters:
  `errorsBeginAt` - number at which errors begin at, default is 400

#### setRequestMethod

    public void setRequestMethod(java.lang.String method)

Sets the method to be used when issuing the HTTP request.

Parameters:
  `method` - The HTTP request method to use. Valid values are the same as those accepted by the HttpURLConnection.setRequestMetho d() method, such as "GET", "HEAD", "TRACE", etc. The default if not specified is "GET".
Since:
  Ant 1.8.0
See Also:
  `HttpURLConnection.setRequestMethod(java.lang.String)`

#### setFollowRedirects

    public void setFollowRedirects(boolean f)

Whether redirects sent by the server should be followed, defaults to true.

Since:
  Ant 1.9.7

#### eval

    public boolean eval()
                 throws BuildException

Description copied from interface: `Condition`
Is this condition true?

Specified by:
  `eval` in interface `Condition`
Returns:
  true if the HTTP request succeeds
Throws:
  `BuildException` - if an error occurs